package kcg.faics.report.service;

import java.util.HashMap;
import java.util.List;

import kcg.faics.report.vo.ReportCategoryVO;

/**
 * 견문 분류 관련 인터페이스
 * 
 * @author 하영지
 *
 */
public interface ReportCategoryService {
	/**
	 * 견문 분류를 구분에 따라 반환한다.
	 * 
	 * @param type 구분
	 * @return 견문분류객체
	 * @throws Exception 기본예외처리
	 */
	List<ReportCategoryVO> select(int type) throws Exception;
	List<ReportCategoryVO> useSelect(int type) throws Exception;
	
	/**
	 * 견문 분류1 목록을 반환한다.
	 * @return 견문 분류1 목록
	 * @throws Exception 기본예외처리
	 */
	HashMap<String, String> getCategory1() throws Exception;
	HashMap<String, String> getUseCategory1() throws Exception;
	/**
	 * 견문 분류2 목록을 반환한다.
	 * @return 견문 분류2 목록
	 * @throws Exception 기본예외처리
	 */
	HashMap<String, String> getCategory2() throws Exception;
	HashMap<String, String> getUseCategory2() throws Exception;
	/**
	 * 견문 분류3 목록을 반환한다.
	 * @return 견문 분류3 목록
	 * @throws Exception 기본예외처리
	 */
	HashMap<String, String> getCategory3() throws Exception;
	HashMap<String, String> getUseCategory3() throws Exception;
	/**
	 * 견문 분류4 목록을 반환한다.
	 * @return 견문 분류4 목록
	 * @throws Exception 기본예외처리
	 */
	HashMap<String, String> getCategory4() throws Exception;
	HashMap<String, String> getUseCategory4() throws Exception;
}
